const express = require("express");
const { CashfreeController } = require("../../controllers/web");
const { verifyToken } = require("../../middleware");
const { RazorPayValidation } = require("../../validations/PaymentValidation");
const router = express.Router();

router.post("/cashFreeWebhook", CashfreeController.cashFreeWebhook);
router.post(
  "/createOrder",
  verifyToken,
  RazorPayValidation,
  CashfreeController.createCashFreeOrder
);

module.exports = router;
